/* scanner - scan images from an M3191F2
   $Id: scanner.h,v 1.6 1994/12/23 16:26:03 ceder Exp $
   Copyright (C) 1994  Lysator Computer Association

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef SCANNER_H
#define SCANNER_H

extern char *version;

extern int verbose;

extern int scan_image(int fd,
		      float xcm,
		      float ycm,
		      float widthcm,
		      float lengthcm,
		      int xresolution,
		      int yresolution,
		      int brightness,
		      int threshold,
		      int composition,
		      int halftone,
		      int outline_extraction,
		      int edge_enhancement,
		      int separation,
		      int mirroring,
		      char **image,
		      long *img_len,
		      long *img_bufsize,
		      long *xpixels,
		      long *ypixels);

extern int output_pnm(const char *filename,
		      int composition,
		      unsigned char *image,
		      long img_len,
		      long xpixels,
		      long ypixels);

int
output_tiff(const char *filename,
	    int composition,
	    int separation,
	    unsigned char *image,
	    long img_len,
	    long xpixels,
	    long ypixels,
	    long xresolution,
	    long yresolution,
	    float xorigin,
	    float yorigin);

#endif
